#!/bin/sh

. /lib/security-functions.sh

if [ "yes" != "$(securityfs_is_mounted)" ]; then
	mount -t securityfs none "$securityfs_mnt"
	if [ $? -ne 0 ]; then
		panic "Failed to mount securityfs"
		exit 0
	fi
fi

mount -o remount,rw "${root_device}" "${NEWROOT}"

old_value=`cat $kysec_status_path`
set_kysec_status 4
chroot "${NEWROOT}" tppunlf $(${NEWROOT}/usr/bin/md5sum ${NEWROOT}/usr/bin/tpplf | awk '{print $1}')
set_kysec_status $old_value

if [ -f "$sysfs_entry" ]; then
	adm_status=$(cat "$sysfs_entry")
	if [ x"${adm_status}" = x"1" ]; then
		# disable 3adm
		echo 0 > "$sysfs_entry"
		echo "$adm_status" > /.3adm
		info "kysec 3adm disabled"
	fi
fi
